Skip to main content
GET
/
cabinet
/
admin
/
rbac
/
roles
List Roles
curl --request GET \
  --url https://api.example.com/cabinet/admin/rbac/roles \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "level": 123,
    "is_system": true,
    "is_active": true,
    "description": "<string>",
    "permissions": [
      "<string>"
    ],
    "color": "<string>",
    "icon": "<string>",
    "user_count": 0,
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_inactive
boolean
default:false

Response

Successful Response

id
integer
required
name
string
required
level
integer
required
is_system
boolean
required
is_active
boolean
required
description
string | null
permissions
string[]
color
string | null
icon
string | null
user_count
integer
default:0
created_at
string<date-time> | null